'simple script to configure Aloaha PDF Signator. Required for example as post installation command to auto configure signatures.
dim csp
Dim Issuer 
dim ContainerName  
dim UseText
dim X1
dim Y1
dim X2
dim Y2

Issuer="AloahaCA"

set csp = createobject("AloahaCertInstaller.config")

	'get ContainerName of first signature cert
	ContainerName =csp.FirstSignatureCert(Issuer)
	if ContainerName <>"" then
		'save as default cert
		csp.UseCertForSignature=ContainerName 
	end if

	'set the sign reason
	csp.SignReason="I agree to the document"
	'set the signers location	
	csp.SignLocation="Office/Germany"


	UseText=true
	If UseText=true then
		'use and configure text signature
		call csp.SetTextSignature("Signed at@@lf@@@@date@@@@lf@@with @@signature@@'s digital certificate.@@lf@@No further signature necessary.")
	else
		'use and configure image signature. 
		'image needs to be 24 bit jpg image
		call csp.SetImageSignature("c:\images\signature.jpg")
	end if

	'set signature box
	'X1/Y1 - left upper corner of signature box in percentage of page
	'X2/Y2 - right lower corner of signature box in percentage of page	
	
	X1=60
	Y1=17
	X2=94
	Y2=6
	call csp.SetBox(X1,Y1,X2,Y2)

set csp = nothing	
